當前位置:首頁 » 安卓系統 » android修改sdk版本

android修改sdk版本

發布時間: 2022-06-24 15:19:17

Ⅰ Android中如何修改最小SDK版本

因為Android的一些特定功能需要高版本的支持, 當最小SDK版本(minSdkVersion)過低時, 會出現報錯, 所以要修改;

如果在Eclipse中, 修改Manifest屬性即可;

Android Studio使用gradle進行構建, 所以需要修改gradle的配置, 修改build.gradle文件:

即可以修改最小版本號, 獲得支持;

Ⅱ Android中如何修改最小SDK版本

一致的 API Level. 然後,在androidManifest.xml 文件中會有一個對應的屬性:android:minSdkVersion .那這個屬性就決定了本程序最低兼容的android系統版本。

由於andrid系統是向下兼容的,也就是說,高版本的SDK會兼容低版本的SDK

舉例說明:
1. 新建一個 Android Project (HelloAndroid), 指定為 Android 2.2 版本,對應的 minSdkVersion 填8,finish;
2. 此時我們運行 HelloAndroid ,會運行一個 2.2 版本的模擬器。

Ⅲ Android中如何修改最小SDK版本

如果是Eclipse ,在Manifest里指定最小版本就可以了

java"><uses-sdkandroid:minSdkVersion="integer"
android:targetSdkVersion="integer"
android:maxSdkVersion="integer"/>

類似這種,在雙引號里填寫上版本號的int值就可以了,最小版本號是android:minSdkVersion這個。

Ⅳ android如何修改項目的sdk。我這里找不到那個 Properties選擇。

工具/原料:

adt-bundle-windows-x86_64-20140702

方法/步驟:

一、打開工程,如「HelloJni」

二、右鍵工程->彈出的菜單->選擇 Properties;

三、

1、選擇 Android;

2、選中期望設置成的android sdk版本;

3、點擊回車;

四、最後的效果圖,android的sdk版本已經變成了2.3.3了

Ⅳ Android中如何修改最小SDK版本

1、右鍵單擊項目--->properties---->Resource----->Android在Project Bulid Target對話框中選擇你需要的Android版本。
2、Resource--->Libraries對話框右邊的 Addlibraries--->Android Classpath Container---->Next--->選擇項目名稱即可
3、如果你還不放心是不是修改成功了SDK的版本,那麼我們再看看AndroidManifest.xml裡面找到 <uses-sdk android:minSdkVersion="3" />它表示最低可以兼容到android 1.5版本,看看是否修改成功了。

Ⅵ Android中如何修改最小SDK版本

在新建一個 android project 時,要求輸入 minSdkVersion 這一項,一般是指定使用的 SDK 版本相一致的 API Level. 然後,在androidManifest.xml 文件中會有一個對應的屬性:android:minSdkVersion .那這個屬性就決定了本程序最低兼容的android系統版本。

由於andrid系統是向下兼容的,也就是說,高版本的SDK會兼容低版本的SDK

舉例說明:
1. 新建一個 Android Project (HelloAndroid), 指定為 Android 2.2 版本,對應的 minSdkVersion 填8,finish;
2. 此時我們運行 HelloAndroid ,會運行一個 2.2 版本的模擬器。
3. 假若現在去 AndroidManifest.xml 文件 中修改 android:minSdkVersion=7,再次運行,那麼會在已經打開的 2.2 模擬器上運行。因為 Android API 都是向後兼容的,所以系統在編譯時,這個 Project 是利用 2.1 版本來編譯的,但也可以在 2.2 模擬器上運行;若先把 2.2 模擬器關閉,再運行 HelloAndroid 這個Project 的話,那麼會新建一個 API Level=7 的 模擬器來運行這個程序(也就是 2.1模擬器)。
4. 假若修改 android:minSdkVersion=10, 那麼無論是否打開了 2.2 版本的模擬器,都會報錯:
ERROR: Application requires API version 10. Device API version is 8 (Android 2.2).
Launch canceled!

Ⅶ 怎麼更改android studio 的sdk版本

工具/原料
Android
Studio
方法/步驟
關閉所有的工程。然後重啟Android
Studio。
選擇「Configure」,
選擇"Project
Defaults"
選擇「Project
Structure"
此時,會彈出設置默認工程的SDK路徑的對話框,
設置或者修改SDK路徑。

Ⅷ Android中如何修改最小SDK版本

1.打開Mole下的build.gradle文件,如圖:


Ⅸ 如何修改android sdk版本

在sdk manager里更新就好了,或者自己下載最新的,在IDE里配置

Ⅹ android開發中,修改SDK版本號時都需要做哪些操作

如果是在eclipse修改sdk的版本的話,只需要在主配置文件裡面修改一下運行或者編譯的版本即可,如果要設置運行的sdk整個環境,可以右鍵進入android,有列表顯示你所下載的sdk,點擊切換就可以了。

熱點內容
電腦編程刷屏 發布:2022-07-03 19:26:17 瀏覽:698
pythonsetuptool安裝 發布:2022-07-03 19:23:16 瀏覽:954
java的虛方法 發布:2022-07-03 19:22:14 瀏覽:851
icloud存儲空間不足怎麼辦 發布:2022-07-03 19:22:07 瀏覽:538
android三方登錄 發布:2022-07-03 19:20:37 瀏覽:246
9600配置怎麼樣 發布:2022-07-03 19:19:12 瀏覽:34
android外文參考文獻 發布:2022-07-03 19:17:38 瀏覽:207
交建通的伺服器地址和埠怎麼改 發布:2022-07-03 19:16:10 瀏覽:373
防火牆如何配置安全策略 發布:2022-07-03 19:16:09 瀏覽:635
如何用代碼創建資料庫 發布:2022-07-03 19:14:48 瀏覽:436